Name:          kcm-wacomtablet
Version:       2.1.0
Release:       1mamba
Summary:       A KDE configuration GUI for the Wacom Linux Drivers
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://kde-apps.org/content/show.php/wacom+tablet?content=114856
## GITSOURCE git://anongit.kde.org/wacomtablet master
Source:        git://anongit.kde.org/wacomtablet/master/wacomtablet-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: libphonon-devel
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module implements a GUI for the Wacom Linux Drivers and extends it with profile support to handle different button / pen layouts per profile.

%debug_package

%prep
%setup -q -n wacomtablet-%{version}

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_kde4_bindir}/kde_wacom_tabletfinder
%{_kde4_libdir}/kde4/kcm_wacomtablet.so
%{_kde4_libdir}/kde4/kded_wacomtablet.so
%{_kde4_libdir}/kde4/plasma_applet_wacomtabletsettings.so
%dir %{_kde4_datadir}/wacomtablet
%dir %{_kde4_datadir}/wacomtablet/data
%{_kde4_datadir}/wacomtablet/data/*
%dir %{_kde4_datadir}/wacomtablet/images
%{_kde4_datadir}/wacomtablet/images/*
%{_kde4_datadir}/wacomtablet/wacomtablet.notifyrc
%doc %lang(en) %{_kde4_htmldir}/en/kcontrol/wacomtablet/*
%{_kde4_servicesdir}/kcm_wacomtablet.desktop
%{_kde4_servicesdir}/kded/wacomtablet.desktop
%{_kde4_servicesdir}/plasma-applet-wacomtabletsettings.desktop
%{_datadir}/applications/kde_wacom_tabletfinder.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Wacom.xml
%doc AUTHORS COPYING

%changelog
* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- package created using the webbuild interface
